/* Optional custom styles for the image */
#style-1+label,
#style-2+label,
#style-3+label,
#style-4+label,
#style-5+label,
#style-6+label,
#style-7+label,
#style-8+label,
#style-9+label,
#style-10+label,
#style-11+label,
#style-12+label,
#style-13+label,
#style-14+label,
#style-15+label,
#style-16+label,
#style-17+label,
#style-18+label,
#style-19+label,
#style-20+label {
    cursor: pointer;
    display: inline-block;
}

/* Disabled state */
#style-1+label.disabled,
#style-2+label.disabled,
#style-3+label.disabled,
#style-4+label.disabled,
#style-5+label.disabled,
#style-6+label.disabled,
#style-7+label.disabled,
#style-8+label.disabled,
#style-9+label.disabled,
#style-10+label.disabled,
#style-11+label.disabled,
#style-12+label.disabled,
#style-13+label.disabled,
#style-14+label.disabled,
#style-15+label.disabled,
#style-16+label.disabled,
#style-17+label.disabled,
#style-18+label.disabled,
#style-19+label.disabled,
#style-20+label.disabled {
    filter: grayscale(1);
}

/* Checked state border */
#style-1:checked+label,
#style-2:checked+label,
#style-3:checked+label,
#style-4:checked+label,
#style-5:checked+label,
#style-6:checked+label,
#style-7:checked+label,
#style-8:checked+label,
#style-9:checked+label,
#style-10:checked+label,
#style-11:checked+label,
#style-12:checked+label,
#style-13:checked+label,
#style-14:checked+label,
#style-15:checked+label,
#style-16:checked+label,
#style-17:checked+label,
#style-18:checked+label,
#style-19:checked+label,
#style-20:checked+label {
    border-color: rgba(var(--bs-purina-rgb), 1) !important;
    filter: none;
}

/* Checked state paragraph */
#style-1:checked+label p,
#style-2:checked+label p,
#style-3:checked+label p,
#style-4:checked+label p,
#style-5:checked+label p,
#style-6:checked+label p,
#style-7:checked+label p,
#style-8:checked+label p,
#style-9:checked+label p,
#style-10:checked+label p,
#style-11:checked+label p,
#style-12:checked+label p,
#style-13:checked+label p,
#style-14:checked+label p,
#style-15:checked+label p,
#style-16:checked+label p,
#style-17:checked+label p,
#style-18:checked+label p,
#style-19:checked+label p,
#style-20:checked+label p {
    background-color: rgba(var(--bs-purina-rgb), 1) !important;
    color: var(--bs-white);
}
